#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1200six4xi.py">
#<abstract4xi abstract = "fires to direction six and to distance 1200"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2six4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SIX - COORDINATE SIGNS OF SHOOT2SIX4XI: (X - ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2six12004xi



# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2six12004xi = {
                1:'-1005x650y-75z',
                2:'-1007x321y-567z',
                3:'-1017x266y-578z',
                4:'-1023x212y-588z',
                5:'-1026x48y-619z',
                6:'-1027x157y-599z',
                7:'-1028x102y-609z',
                8:'-1037x596y-87z',
                9:'-103x441y-1110z',
                10:'-1054x513y-560z',
                11:'-1066x540y-99z',
                12:'-106x852y-837z',
                13:'-1092x483y-111z',
                14:'-1115x425y-123z',
                15:'-1134x365y-135z',
                16:'-1151x305y-147z',
                17:'-1163x244y-159z',
                18:'-1173x183y-170z',
                19:'-1179x121y-182z',
                20:'-1182x59y-194z',
                21:'-123x425y-1115z',
                22:'-126x1148y-323z',
                23:'-142x407y-1119z',
                24:'-149x837y-846z',
                25:'-159x389y-1123z',
                26:'-164x5y-1188z',
                27:'-174x370y-1128z',
                28:'-176x14y-1186z',
                29:'-186x1137y-334z',
                30:'-187x25y-1185z',
                31:'-188x350y-1132z',
                32:'-190x820y-854z',
                33:'-197x37y-1183z',
                34:'-200x330y-1136z',
                35:'-201x1140y-314z',
                36:'-206x50y-1181z',
                37:'-211x310y-1139z',
                38:'-214x64y-1178z',
                39:'-220x289y-1143z',
                40:'-222x79y-1176z',
                41:'-227x268y-1147z',
                42:'-228x95y-1174z',
                43:'-230x800y-863z',
                44:'-233x112y-1171z',
                45:'-233x248y-1150z',
                46:'-237x130y-1168z',
                47:'-237x227y-1153z',
                48:'-240x148y-1166z',
                49:'-240x207y-1157z',
                50:'-241x167y-1163z',
                51:'-242x187y-1160z',
                52:'-244x1122y-346z',
                53:'-260x1125y-326z',
                54:'-269x779y-871z',
                55:'-302x1104y-357z',
                56:'-306x756y-879z',
                57:'-317x1106y-338z',
                58:'-342x731y-887z',
                59:'-358x1084y-369z',
                60:'-35x485y-1096z',
                61:'-374x1085y-349z',
                62:'-375x704y-895z',
                63:'-407x675y-903z',
                64:'-413x1060y-380z',
                65:'-429x1060y-360z',
                66:'-437x646y-911z',
                67:'-465x615y-919z',
                68:'-466x1033y-392z',
                69:'-482x1033y-372z',
                70:'-490x582y-927z',
                71:'-514x549y-934z',
                72:'-518x1004y-403z',
                73:'-534x1003y-383z',
                74:'-535x515y-942z',
                75:'-554x480y-949z',
                76:'-568x972y-414z',
                77:'-571x444y-956z',
                78:'-584x970y-395z',
                79:'-586x408y-964z',
                80:'-598x372y-971z',
                81:'-59x472y-1101z',
                82:'-604x20y-1036z',
                83:'-608x336y-978z',
                84:'-612x52y-1030z',
                85:'-615x937y-425z',
                86:'-616x299y-985z',
                87:'-619x86y-1024z',
                88:'-622x262y-991z',
                89:'-623x120y-1018z',
                90:'-625x226y-998z',
                91:'-626x155y-1011z',
                92:'-627x190y-1005z',
                93:'-631x935y-406z',
                94:'-661x900y-437z',
                95:'-677x898y-417z',
                96:'-705x861y-448z',
                97:'-720x858y-428z',
                98:'-746x819y-459z',
                99:'-757x930y-3z',
                100:'-761x816y-440z',
                101:'-784x776y-470z',
                102:'-800x771y-451z',
                103:'-804x889y-15z',
                104:'-820x731y-481z',
                105:'-82x457y-1106z',
                106:'-836x726y-462z',
                107:'-850x846y-27z',
                108:'-854x684y-492z',
                109:'-869x678y-473z',
                110:'-884x635y-503z',
                111:'-893x800y-39z',
                112:'-899x629y-484z',
                113:'-912x585y-514z',
                114:'-927x578y-495z',
                115:'-933x752y-51z',
                116:'-937x534y-524z',
                117:'-951x526y-506z',
                118:'-959x482y-535z',
                119:'-971x702y-63z',
                120:'-978x429y-546z',
                121:'-994x375y-557z'}


#"
#/>



# -------------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire1200six4xi" usage = "target function for charge2six4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------------------------
def fire1200six4xi(queue2six, consumer_channel2six, publisher_channel2six):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1200SIX4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE1200SIX4XI -  QUEUE2SIX: ", queue2six)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1200SIX4XI -  CONSUMER_CHANNEL2SIX: ", consumer_channel2six)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1200SIX4XI -  PUBLISHER_CHANNEL2SIX: ", publisher_channel2six)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1200SIX4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2six.put(shot2six12004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1200SIX4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1200SIX4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1200SIX4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2six8shot2six1200x4xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2six8shot2six1200x4xi</nack2put4xi>" 
            
        publisher_channel2six.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1200SIX4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
            # 
        
    except:
        print(" (STEP 3C/33) OF FIRE1200SIX4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1200SIX4XI - RETURNING QUEUE OBJECT QUEUE2SIX: ", queue2six, " - TIME: ", time4xi())  
        # 
            
    return queue2six    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1200six4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
